## xpuzzles 8.8.7+ds

=== Makefile ===
# @(#)Makefile
#
# Copyright 1994 - 2024  David A. Bagley, bagleyd AT verizon.net
#
# All Rights Reserved
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby granted,
# provided that the above copyright notice appear in all copies and
# that both that copyright notice and this permission notice appear in
# supporting documentation, and that the name of the author not be
# used in advertising or publicity pertaining to distribution of the
# software without specific, written prior permission.
#
# This program is distributed in the hope that it will be "useful",
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

# Master Makefile for X and Windows

# If this fails to build one may have to edit the individual Imakefiles.
# Also install the appropriate .ad file in $HOME or where ever you
# normally  put these preferences.
# To configure, build, and install in /usr/local/bin
#	make configure  # this step no longer necessary
#	make         # Motif version built by default
#	make run     # this cycles through all programs
#	make install # if you like them
# Any problems please consult the individual README's and let the author know.
# xdial and xthreed are more or less demos and are not built by default.

#SHELL=/bin/sh

#STUFF=abacus dial threed
STUFF=dial threed
GL=rubik skewb dino bevel
ROTATIONAL=${GL} pyraminx oct mball
SLIDING=cubes triangles hexagons panex mlink barrel
ALTRIS=tetris tertris hextris welltris

#XT=${STUFF} ${ROTATIONAL} ${SLIDING} ${ALTRIS}
# Swap this next line in and the next line out to build xdial and xthreed
#XT=${STUFF} ${ROTATIONAL} ${SLIDING}
XT=${ROTATIONAL} ${SLIDING}
#XT=${ALTRIS}

AUTOMAKE=/usr/share/automake-1.16

PRE=
NAME=xt.
#NAME=xpuzzles.
#NAME=xabacus.
#NAME=altris.

PROGRAMS=${XT}

UNIXDIR=./net
DOSDIR=win

all :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			if test ! -f Makefile; then\
				./configure;\
			fi;\
			make all;\
			cd ..;\
		fi;\
	done

cpp :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			if test ! -f Makefile; then\
				./configure;\
			fi;\
			cp -p Makefile Makefile.orig;\
			sed -e "s/(DEFINES)/(DEFINES) -DCONSTPIXMAPS/" Makefile.orig > Makefile;\
			make constpixmaps;\
			make all;\
			cd ..;\
		fi;\
	done

win :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}/win32; then\
			cd ${PRE}$${i}${VER}/win32;\
			make;\
			cd ../..;\
		fi;\
	done

automake :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			cp -p ${AUTOMAKE}/config.guess .;\
			cp -p ${AUTOMAKE}/config.sub .;\
			cp -p ${AUTOMAKE}/install-sh .;\
			cp -p ${AUTOMAKE}/mkinstalldirs .;\
			cd ..;\
		fi;\
	done

autoconf :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in distclean;\
			autoupdate;\
			$@ 2>&1 | grep -v "AC_INIT: not a literal: m4_esyscmd";\
			rm -rf autom4te.cache;\
			cd ..;\
		fi;\
	done

configure :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in distclean;\
			./configure;\
			cd ..;\
		fi;\
	done

configure-g++ :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in distclean;\
			CC=g++ ./configure;\
			cd ..;\
		fi;\
	done

configure-clang :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in distclean;\
			CC=clang ./configure;\
			cd ..;\
		fi;\
	done

configure-clang++ :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in distclean;\
			CC=clang++ ./configure;\
			cd ..;\
		fi;\
	done

configure-x :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in distclean;\
			./configure --without-motif --without-athena;\
			cd ..;\
		fi;\
	done

configure-xm :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in distclean;\
			./configure --enable-xm-prefix;\
			cd ..;\
		fi;\
	done

configure-xaw3dxft:
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in distclean;\
			./configure --without-motif;\
			cd ..;\
		fi;\
	done

configure-xaw3d:
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in distclean;\
			./configure --without-motif --without-xaw3dxft;\
			cd ..;\
		fi;\
	done

configure-nextaw:
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in distclean;\
			./configure --without-motif --without-xaw3dxft --without-xaw3d;\
			cd ..;\
		fi;\
	done

configure-xawplus:
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in distclean;\
			./configure --without-motif --without-xaw3dxft --without-xaw3d --without-nextaw;\
			cd ..;\
		fi;\
	done

configure-xaw:
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in distclean;\
			./configure --without-motif --without-xaw3dxft --without-xaw3d --without-nextaw --without-xawplus;\
			cd ..;\
		fi;\
	done

configure-3d :
	for i in ${GL}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in distclean;\
			./configure --without-opengl;\
			cd ..;\
		fi;\
	done

configure-sound :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in distclean;\
			./configure --without-nas --without-esound --without-nas --enable-def-play="play.sh";\
			cd ..;\
		fi;\
	done

imake :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			xmkmf -a;\
			make;\
			cd ..;\
		fi;\
	done


xmkmf :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			xmkmf -a;\
			cd ..;\
		fi;\
	done

# add in all extra features
pre-xmkmf :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			cp -p Imakefile Imakefile.orig;\
			sed -e "s/^XCOMM #define/#define/" Imakefile.orig > Imakefile;\
			cd ..;\
		fi;\
	done

post-xmkmf :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			mv Imakefile.orig Imakefile;\
			cd ..;\
		fi;\
	done

post-configure :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			cp -p Makefile Makefile.orig;\
			sed -e "s/ -DUSE_SPIN/ -DUSE_POPUP -DANOMALY/" Makefile.orig > Makefile;\
			cd ..;\
		fi;\
	done

antic :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in $@;\
			cd ..;\
		fi;\
	done

antic-win :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}/win32; then\
			cd ${PRE}$${i}${VER}/win32;\
			make antic;\
			cd ../..;\
		fi;\
	done

cppcheck :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in $@;\
			cd ..;\
		fi;\
	done

lint :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make $@;\
			cd ..;\
		fi;\
	done

lint-win :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}/win32; then\
			cd ${PRE}$${i}${VER}/win32;\
			make lint;\
			cd ../..;\
		fi;\
	done

indent :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make $@;\
			cd ..;\
		fi;\
	done

indentcheck :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			ls -al *.c *.c~ *.h *.h~;\
			cd ..;\
		fi;\
	done

dbx :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in gdb;\
			cd ..;\
		fi;\
	done

gdb :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in $@;\
			cd ..;\
		fi;\
	done

valgrind :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in $@;\
			cd ..;\
		fi;\
	done

run :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in $@;\
			cd ..;\
		fi;\
	done

run-help :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in run.help;\
			cd ..;\
		fi;\
	done

run-scores :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in run.scores;\
			cd ..;\
		fi;\
	done

run-version :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in run.version;\
			cd ..;\
		fi;\
	done

wine :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}/win32; then\
			cd ${PRE}$${i}${VER}/win32;\
			make -f Makefile wine;\
			cd ../..;\
		fi;\
	done

run-win :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}/win32; then\
			cd ${PRE}$${i}${VER}/win32;\
			make -f Makefile run;\
			cd ../..;\
		fi;\
	done

dist-win :
	mkdir -p $(DOSDIR);\
	for i in *README; do\
		cp $${i} $(DOSDIR)/$${i};\
	done;\
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}/win32; then\
			cd ${PRE}$${i}${VER}/win32;\
			make -f Makefile dist;\
			cd ../..;\
		fi;\
	done

clean :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in $@;\
			cd ..;\
		fi;\
	done

clean-win :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}/win32; then\
			cd ${PRE}$${i}${VER}/win32;\
			make clean;\
			cd ../..;\
		fi;\
	done

distclean :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in $@;\
			cd ..;\
		fi;\
	done

distclean-win :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}/win32; then\
			cd ${PRE}$${i}${VER}/win32;\
			make distclean;\
			cd ../..;\
		fi;\
	done

clean.all :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in $@;\
			cd ..;\
		fi;\
	done

pack :
	rm -rf xt xt.tar.xz;\
	mkdir ${UNIXDIR};\
	make xz;\
	mv ${UNIXDIR} xt;\
	tar cvJf xt.tar.xz xt;\
	sftp www.sillycycle.com

tar :
	for i in ${PROGRAMS}; do\
		if test -d ${PRE}$${i}${VER}; then\
			cd ${PRE}$${i}${VER};\
			make -f Makefile.in tar;\
			cd ..;\
		fi;\
	done

compress :
	if test -d ${UNIXDIR}; then\
		cp -p ${NAME}Makefile ${UNIXDIR}/${NAME}Makefile;\
		cp -p *.README ${UNIXDIR};\
		cp -p *.lsm ${UNIXDIR};\
		for i in ${PROGRAMS}; do\
			if test -d ${PRE}$${i}${VER}; then\
				cd ${PRE}$${i}${VER};\
				make -f Makefile.in $@;\
				cd ..;\
			fi;\
		done;\
	else echo "${UNIXDIR} not a directory";\
	fi

gzip :
	if test -d ${UNIXDIR}; then\
		cp -p ${NAME}Makefile ${UNIXDIR}/${NAME}Makefile;\
		cp -p *.README ${UNIXDIR};\
		cp -p *.lsm ${UNIXDIR};\
		for i in ${PROGRAMS}; do\
			if test -d ${PRE}$${i}${VER}; then\
				cd ${PRE}$${i}${VER};\
				make -f Makefile.in $@;\
				cd ..;\
				mv ${PRE}$${i}${VER}.tar.gz ${UNIXDIR};\
			fi;\
		done;\
	else echo "${UNIXDIR} not a directory";\
	fi

bzip2 :
	if test -d ${UNIXDIR}; then\
		cp -p ${NAME}Makefile ${UNIXDIR}/${NAME}Makefile;\
		cp -p *.README ${UNIXDIR};\
		cp -p *.lsm ${UNIXDIR};\
		for i in ${PROGRAMS}; do\
			if test -d ${PRE}$${i}${VER}; then\
				cd ${PRE}$${i}${VER};\
				make -f Makefile.in $@;\
				cd ..;\
				mv ${PRE}$${i}${VER}.tar.bz2 ${UNIXDIR};\
			fi;\
		done;\
	else echo "${UNIXDIR} not a directory";\
	fi

xz :
	if test -d ${UNIXDIR}; then\
		cp -p ${NAME}Makefile ${UNIXDIR}/${NAME}Makefile;\
		cp -p *.README ${UNIXDIR};\
		cp -p *.lsm ${UNIXDIR};\

=== debian/changelog ===
xpuzzles (8.8.7+ds-2) unstable; urgency=medium

  * Team upload.
  * Solve /usr/games/play.sh file conflict (Closes: #1098419)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 05 Apr 2025 17:19:03 +0200

xpuzzles (8.8.7+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #865846
  * Maintain package in Debian Games team
    Closes: #1088259
  * New Homepage
  * Fix watch file
  * d/rules: Short dh
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Keep same Priority also for xmpuzzles
  * Make sure all puzzles will be shipped
  * d/copyright:
     - DEP5
     - Exlcude vms+win32 files to simplify cleaning up
     - Exclude config.log + config.guess
  * Fix clean target
    Closes: #1047124
  * Do not ship Debian menu file any more since desktop files are provided
    Closes: #723891, #738072
  * Adapt upstream desktop files instead of creating new ones

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jan 2025 21:14:55 +0100

xpuzzles (7.7.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999086).

 -- Marcos Talau <talau@debian.org>  Thu, 03 Nov 2022 19:55:25 -0300

=== debian/control ===
Source: xpuzzles
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: debhelper-compat (= 13), libxpm-dev, libxt-dev,
 libmotif-dev, libglu1-mesa-dev,  libaudiofile-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/games-team/xpuzzles
Vcs-Git: https://salsa.debian.org/games-team/xpuzzles.git
Homepage: http://www.sillycycle.com/puzzles.html#X
Rules-Requires-Root: no

Package: xpuzzles
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: xmpuzzles
Description: collection of puzzles for X (plain X version)
 The following puzzles are included:
 .
  - Rotational 3D Puzzles: xrubik, xpyraminx, xoct, xskewb, xdino, xmball
  - Sliding Block Puzzles: xcubes, xtriangles, xhexagons, xpanex
  - Combination: xbarrel, xmlink
 .
 This version was compiled without the Motif GUI widget library and thus
 shows limited user interface functionality. See xmpuzzles for the
 extended version.

Package: xmpuzzles
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: xpuzzles
Description: collection of puzzles for X (Motif version)
 The following puzzles are included:
 .
  - Rotational 3D Puzzles: xmrubik, xmpyraminx, xmoct, xmskewb, xmdino, xmmball
  - Sliding Block Puzzles: xmcubes, xmtriangles, xmhexagons, xmpanex
  - Combination: xmbarrel, xmmlink
 .
 This is the Motif version which shows additional functionality.
 Motif is a GUI widget library for the X Window  system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

PROGRAMS = $(shell find . -maxdepth 1 -type d -name "[a-z]*" | grep -v debian | sed 's?^\./??' | sort)

CONFIGURE_FLAGS := --prefix=/usr --bindir=\$${prefix}/games --mandir=\$${prefix}/share/man \
			--with-x --with-xpm --without-rplay --without-esound --without-nas

%:
	dh $@

override_dh_auto_clean:
	$(MAKE) -f xpuzzles.Makefile distclean
	find . -name config.status -delete
	find . -name config.log -delete
	find . -name "config*.guess" -delete
	find . -name "config.sub" -delete
	rm -f  */Makefile
	dh_auto_clean
	rm -rf debian/.debhelper \
	       debian/xpuzzles \
	       debian/xmpuzzles
	find . -name "*.o" -delete

override_dh_clean:
	for PROG in $(PROGRAMS) ; do \
		set -e ; \
		cd $$PROG ; \
		if [ -f configure.bak ] ; then mv configure.bak configure ;   fi ; \
		cd .. ; \
	done
	dh_clean

override_dh_auto_configure:
	echo "Do not run dh_auto_configure"

override_dh_auto_build:
	for PROG in $(PROGRAMS) ; do \
		set -e ; \
		cd $$PROG ; \
		# use up to date config.{sub,guess} from autotools-dev \
		ln -sf /usr/share/misc/config.sub . ; \
		ln -sf /usr/share/misc/config.guess . ; \
		cp -a configure configure.bak ; \
		CFLAGS="$(CFLAGS)" ./configure $(CONFIGURE_FLAGS) --enable-def-play=/usr/libexec/xmpuzzles-play.sh --with-motif --enable-xm-prefix ; \
		$(MAKE) ; \
		echo "Installing xm versions" ; \
		$(MAKE) install DESTDIR=$(CURDIR)/debian/xmpuzzles xapploaddir=/etc/X11/app-defaults ; \
		cd .. ; \
	done
	$(MAKE) -f xpuzzles.Makefile distclean
	for PROG in $(PROGRAMS) ; do \
		set -e ; \
		cd $$PROG ; \
		CFLAGS="$(CFLAGS)" ./configure $(CONFIGURE_FLAGS) --enable-def-play=/usr/libexec/xpuzzles-play.sh --without-motif ; \
		$(MAKE) ; \
		cd .. ; \
	done
	mv debian/xmpuzzles debian/xmpuzzles_save_install

override_dh_auto_install:
	mv debian/xmpuzzles_save_install debian/xmpuzzles
	for INFIX in '' m ; do \
		set -e ; \
		DOCDIR=$(CURDIR)/debian/x$${INFIX}puzzles/usr/share/doc/x$${INFIX}puzzles ; \
		PIXDIR=$(CURDIR)/debian/x$${INFIX}puzzles/usr/share/pixmaps ; \
		install -D -m 0644 xpuzzles.README $$DOCDIR/README ; \
		for PROG in $(PROGRAMS) ; do \
			if [ -e $$PROG/README ] ; then install -D -m 0644 $$PROG/README $$DOCDIR/x$$INFIX$$PROG.README ; fi ; \
		done ; \
		mkdir -p $(CURDIR)/debian/x$${INFIX}puzzles/usr/share/applications; \
	done

	for PROG in $(PROGRAMS) ; do \
		set -e; \
		cd $$PROG ; \
		$(MAKE) install DESTDIR=$(CURDIR)/debian/xpuzzles xapploaddir=/etc/X11/app-defaults ; \
		cd .. ; \
		echo 'usr/share/man/man6/x'$$PROG'.6.gz usr/share/man/man6/xm'$$PROG'.6.gz' >> debian/xmpuzzles.links ; \
	done

override_dh_install:
	dh_install
	sed -i 	-e 's#^Exec=#&/usr/games/#' \
		-e 's#=/usr/share/icons/hicolor/.*/apps/#=#' \
		debian/xpuzzles/usr/share/applications/*.desktop
	sed -i 	-e 's#^Exec=x#Exec=/usr/games/xm#' \
		-e 's#=/usr/share/icons/hicolor/.*/apps/#=#' \
		debian/xmpuzzles/usr/share/applications/*.desktop
	for i in debian/xmpuzzles/usr/share/applications/*.desktop ; do mv $$i debian/xmpuzzles/usr/share/applications/xm`basename $$i | sed 's/^x//'` ; done
	mkdir -p debian/xpuzzles/usr/libexec/
	mv -v debian/xpuzzles/usr/games/play.sh debian/xpuzzles/usr/libexec/xpuzzles-play.sh
	mkdir -p debian/xmpuzzles/usr/libexec/
	mv -v debian/xmpuzzles/usr/games/play.sh debian/xmpuzzles/usr/libexec/xmpuzzles-play.sh

=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto" \
  http://www.sillycycle.com/puzzles.html .*/puzzles/xpuzzles-(\d[\d.]+)\.tar\.xz

## xpuzzles 8.9.0+ds

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # @(#)Makefile
 #
-# Copyright 1994 - 2024  David A. Bagley, bagleyd AT verizon.net
+# Copyright 1994 - 2025  David A. Bagley, bagleyd AT verizon.net
 #
 # All Rights Reserved
 #
@@ -33,8 +33,8 @@
 
 #STUFF=abacus dial threed
 STUFF=dial threed
-GL=rubik skewb dino bevel
-ROTATIONAL=${GL} pyraminx oct mball
+GL=rubik skewb dino bevel pyraminx oct mball
+ROTATIONAL=${GL}
 SLIDING=cubes triangles hexagons panex mlink barrel
 ALTRIS=tetris tertris hextris welltris
 
@@ -44,7 +44,7 @@
 XT=${ROTATIONAL} ${SLIDING}
 #XT=${ALTRIS}
 
-AUTOMAKE=/usr/share/automake-1.16
+AUTOMAKE=/usr/share/automake-1.17
 
 PRE=
 NAME=xt.
@@ -93,6 +93,54 @@
 		fi;\
 	done
 
+vmsmotif :
+	for i in ${PROGRAMS}; do\
+		if test -d ${PRE}$${i}${VER}/vms; then\
+			cp -p ${PRE}$${i}${VER}/vms/make.com ${PRE}$${i}${VER};\
+			cp -p ${PRE}$${i}${VER}/vms/descrip.mms ${PRE}$${i}${VER};\
+		fi;\
+	done
+
+vmsx :
+	for i in ${PROGRAMS}; do\
+		if test -d ${PRE}$${i}${VER}/vms; then\
+			sed -e "s/ defs==\\\"''defs',HAVE_MOTIF\\\"/! defs==\\\"''defs',HAVE_MOTIF\\\"/" ${PRE}$${i}${VER}/vms/make.com > ${PRE}$${i}${VER}/make.com;\
+			cp -p ${PRE}$${i}${VER}/vms/descrip.mms ${PRE}$${i}${VER};\
+		fi;\
+	done
+
+vmscheck :
+	for i in ${PROGRAMS}; do\
+		if test -d ${PRE}$${i}${VER}/vms; then\
+			diff -q ${PRE}$${i}${VER}/vms/make.com ${PRE}$${i}${VER} || true;\
+		fi;\
+	done
+
+vmsmake :
+	> make.com;\
+	> mms.com;\
+	for i in ${PROGRAMS}; do\
+		echo "\044 set default [.$${i}]" >> make.com;\
+		echo "\044 @make.com/output=make.lis" >> make.com;\
+		echo "\044 set default [-]" >> make.com;\
+		echo "\044 set default [.$${i}]" >> mms.com;\
+		echo "\044 mms/output=mms.lis" >> mms.com;\
+		echo "\044 set default [-]" >> mms.com;\
+	done
+
+vmszip :
+	rm -rf xt.zip;\
+	zip -r xt.zip make.com mms.com Makefile;\
+	for i in ${PROGRAMS}; do\
+		zip -r xt.zip ${PRE}$${i}${VER}/make.com;\
+		zip -r xt.zip ${PRE}$${i}${VER}/descrip.mms;\
+		cd ${PRE}$${i}${VER};\
+		make zip;\
+		cd ..;\
+		zip -r xt.zip `zipinfo -1 $$i.zip`;\
+		rm -rf $$i.zip;\
+	done
+
 automake :
 	for i in ${PROGRAMS}; do\
 		if test -d ${PRE}$${i}${VER}; then\
@@ -511,60 +559,3 @@
 	for i in ${PROGRAMS}; do\
 		if test -d ${PRE}$${i}${VER}; then\
 			cd ${PRE}$${i}${VER};\
-			make -f Makefile.in tar;\
-			cd ..;\
-		fi;\
-	done
-
-compress :
-	if test -d ${UNIXDIR}; then\
-		cp -p ${NAME}Makefile ${UNIXDIR}/${NAME}Makefile;\
-		cp -p *.README ${UNIXDIR};\
-		cp -p *.lsm ${UNIXDIR};\
-		for i in ${PROGRAMS}; do\
-			if test -d ${PRE}$${i}${VER}; then\
-				cd ${PRE}$${i}${VER};\
-				make -f Makefile.in $@;\
-				cd ..;\
-			fi;\
-		done;\
-	else echo "${UNIXDIR} not a directory";\
-	fi
-
-gzip :
-	if test -d ${UNIXDIR}; then\
-		cp -p ${NAME}Makefile ${UNIXDIR}/${NAME}Makefile;\
-		cp -p *.README ${UNIXDIR};\
-		cp -p *.lsm ${UNIXDIR};\
-		for i in ${PROGRAMS}; do\
-			if test -d ${PRE}$${i}${VER}; then\
-				cd ${PRE}$${i}${VER};\
-				make -f Makefile.in $@;\
-				cd ..;\
-				mv ${PRE}$${i}${VER}.tar.gz ${UNIXDIR};\
-			fi;\
-		done;\
-	else echo "${UNIXDIR} not a directory";\
-	fi
-
-bzip2 :
-	if test -d ${UNIXDIR}; then\
-		cp -p ${NAME}Makefile ${UNIXDIR}/${NAME}Makefile;\
-		cp -p *.README ${UNIXDIR};\
-		cp -p *.lsm ${UNIXDIR};\
-		for i in ${PROGRAMS}; do\
-			if test -d ${PRE}$${i}${VER}; then\
-				cd ${PRE}$${i}${VER};\
-				make -f Makefile.in $@;\
-				cd ..;\
-				mv ${PRE}$${i}${VER}.tar.bz2 ${UNIXDIR};\
-			fi;\
-		done;\
-	else echo "${UNIXDIR} not a directory";\
-	fi
-
-xz :
-	if test -d ${UNIXDIR}; then\
-		cp -p ${NAME}Makefile ${UNIXDIR}/${NAME}Makefile;\
-		cp -p *.README ${UNIXDIR};\
-		cp -p *.lsm ${UNIXDIR};\

=== debian/changelog ===
xpuzzles (8.9.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.9.0+ds
  * Add debian/salsa-ci.yml
  * Rewrite d/rules in newer & shorter syntax
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Remove d/copyright notice of removed file
  * Refresh patches

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass --build/--host to configure. (Closes: #1126478)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 28 Jan 2026 08:05:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,27 @@
 Source: xpuzzles
 Section: games
-Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Varun Hiremath <varun@debian.org>
-Build-Depends: debhelper-compat (= 13), libxpm-dev, libxt-dev,
- libmotif-dev, libglu1-mesa-dev,  libaudiofile-dev
-Standards-Version: 4.7.0
+Uploaders:
+ Varun Hiremath <varun@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ libaudiofile-dev,
+ libglu1-mesa-dev,
+ libmotif-dev,
+ libxpm-dev,
+ libxt-dev,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/games-team/xpuzzles
 Vcs-Git: https://salsa.debian.org/games-team/xpuzzles.git
 Homepage: http://www.sillycycle.com/puzzles.html#X
-Rules-Requires-Root: no
 
 Package: xpuzzles
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: xmpuzzles
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Conflicts:
+ xmpuzzles,
 Description: collection of puzzles for X (plain X version)
  The following puzzles are included:
  .
@@ -28,8 +35,11 @@
 
 Package: xmpuzzles
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: xpuzzles
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Conflicts:
+ xpuzzles,
 Description: collection of puzzles for X (Motif version)
  The following puzzles are included:
  .

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,16 @@
 
 #export DH_VERBOSE=1
 
+include /usr/share/dpkg/architecture.mk
+
 PROGRAMS = $(shell find . -maxdepth 1 -type d -name "[a-z]*" | grep -v debian | sed 's?^\./??' | sort)
 
 CONFIGURE_FLAGS := --prefix=/usr --bindir=\$${prefix}/games --mandir=\$${prefix}/share/man \
 			--with-x --with-xpm --without-rplay --without-esound --without-nas
+
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+CONFIGURE_FLAGS += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
+endif
 
 %:
 	dh $@
@@ -81,8 +87,7 @@
 		echo 'usr/share/man/man6/x'$$PROG'.6.gz usr/share/man/man6/xm'$$PROG'.6.gz' >> debian/xmpuzzles.links ; \
 	done
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	sed -i 	-e 's#^Exec=#&/usr/games/#' \
 		-e 's#=/usr/share/icons/hicolor/.*/apps/#=#' \
 		debian/xpuzzles/usr/share/applications/*.desktop

=== debian/watch ===
Version: 5

Source: http://www.sillycycle.com/puzzles.html
Matching-Pattern: .*/puzzles/xpuzzles-(\d[\d.]+)\.tar\.xz
Dversionmangle: auto
Repacksuffix: +ds
